Show / Hide Table of Contents

# Enum GamepadButtons

Bitmask of the Button ushort used by the game.

###### Namespace: Dalamud.Game.ClientState.GamePad

###### Assembly: Dalamud.dll

##### Syntax

    [Flags]
    public enum GamepadButtons : ushort

### Fields

Name | Description
--- | ---
DpadDown | Digipad down.
DpadLeft | Digipad left.
DpadRight | Digipad right.
DpadUp | Digipad up.
East | East action button. Circle on PS, B on Xbox.
L1 | First button on left shoulder side.
L2 | Second button on left shoulder side. Analog input lost in this bitmask.
L3 | Press on left analogue stick.
None | No buttons pressed.
North | North action button. Triangle on PS, Y on Xbox.
R1 | First button on right shoulder.
R2 | Second button on right shoulder. Analog input lost in this bitmask.
R3 | Press on right analogue stick.
Select | Button on the left inner side of the controller. ??? on PS, Back on Xbox.
South | South action button. Cross on PS, A on Xbox.
Start | Button on the right inner side of the controller. Options on PS, Start on Xbox.
West | West action button. Square on PS, X on Xbos.

### Extension Methods

EnumExtensions.GetAttribute<TAttribute>()